/* physics tuning */
MACRO_TUNING_PARAM(ground_control_speed, 10.0f)
MACRO_TUNING_PARAM(ground_control_accel, 100.0f / ticks_per_second)
MACRO_TUNING_PARAM(ground_friction, 0.5f)
MACRO_TUNING_PARAM(ground_jump_impulse, 13.2f)
MACRO_TUNING_PARAM(air_jump_impulse, 12.0f)
MACRO_TUNING_PARAM(air_control_speed, 250.0f / ticks_per_second)
MACRO_TUNING_PARAM(air_control_accel, 1.5f)
MACRO_TUNING_PARAM(air_friction, 0.95f)
MACRO_TUNING_PARAM(hook_length, 380.0f)
MACRO_TUNING_PARAM(hook_fire_speed, 80.0f)
MACRO_TUNING_PARAM(hook_drag_accel, 3.0f)
MACRO_TUNING_PARAM(hook_drag_speed, 15.0f)
MACRO_TUNING_PARAM(gravity, 0.5f)

MACRO_TUNING_PARAM(velramp_start, 550)
MACRO_TUNING_PARAM(velramp_range, 2000)
MACRO_TUNING_PARAM(velramp_curvature, 1.4f)

/* weapon tuning */
MACRO_TUNING_PARAM(gun_curvature, 1.25f)
MACRO_TUNING_PARAM(gun_speed, 2200.0f)
MACRO_TUNING_PARAM(gun_lifetime, 2.0f)

MACRO_TUNING_PARAM(shotgun_curvature, 1.25f)
MACRO_TUNING_PARAM(shotgun_speed, 2750.0f)
MACRO_TUNING_PARAM(shotgun_speeddiff, 0.8f)
MACRO_TUNING_PARAM(shotgun_lifetime, 0.20f)

MACRO_TUNING_PARAM(grenade_curvature, 7.0f)
MACRO_TUNING_PARAM(grenade_speed, 1000.0f)
MACRO_TUNING_PARAM(grenade_lifetime, 2.0f)

MACRO_TUNING_PARAM(laser_reach, 800.0f)
MACRO_TUNING_PARAM(laser_bounce_delay, 150)
MACRO_TUNING_PARAM(laser_bounce_num, 1)
MACRO_TUNING_PARAM(laser_bounce_cost, 0)
MACRO_TUNING_PARAM(laser_damage, 5)

MACRO_TUNING_PARAM(player_collision, 1)
MACRO_TUNING_PARAM(player_hooking, 1)

/* tunnigs ajoutés */
MACRO_TUNING_PARAM(self_shot, 0)
MACRO_TUNING_PARAM(unlimited_ammo, 0)
MACRO_TUNING_PARAM(pickup_health, 1)
MACRO_TUNING_PARAM(pickup_weapon, 1)
MACRO_TUNING_PARAM(nice_explosion, 0)
MACRO_TUNING_PARAM(flag_visible, 1)
MACRO_TUNING_PARAM(chifoumi, 0)

MACRO_TUNING_PARAM(hammer_given, 1)
MACRO_TUNING_PARAM(hammer_damage, 3)
MACRO_TUNING_PARAM(hammer_poison, 0)

MACRO_TUNING_PARAM(gun_given, 1)
MACRO_TUNING_PARAM(gun_damage, 1)
MACRO_TUNING_PARAM(gun_poison, 0)
MACRO_TUNING_PARAM(gun_explosion, 0)
MACRO_TUNING_PARAM(gun_full_explosion, 0)

MACRO_TUNING_PARAM(shotgun_given, 0)
MACRO_TUNING_PARAM(shotgun_damage, 1)
MACRO_TUNING_PARAM(shotgun_poison, 0)
MACRO_TUNING_PARAM(shotgun_explosion, 0)
MACRO_TUNING_PARAM(shotgun_full_explosion, 0)
MACRO_TUNING_PARAM(shotgun_angle, 0.41f)

MACRO_TUNING_PARAM(grenade_given, 0)
MACRO_TUNING_PARAM(grenade_damage, 6)
MACRO_TUNING_PARAM(grenade_poison, 0)
MACRO_TUNING_PARAM(grenade_full_explosion, 0)

MACRO_TUNING_PARAM(laser_given, 0)
MACRO_TUNING_PARAM(laser_bounce_damage_cost, 0)
MACRO_TUNING_PARAM(laser_poison, 0)
MACRO_TUNING_PARAM(laser_explosion, 0)

MACRO_TUNING_PARAM(ninja_given, 0)
MACRO_TUNING_PARAM(ninja_damage, 9)
MACRO_TUNING_PARAM(ninja_poison, 0)
