#ifndef _ENGINE_SERVER_SAVE_H
#define _ENGINE_SERVER_SAVE_H

#ifdef __cplusplus
extern "C"{
#endif

#include <engine/e_if_other.h>

struct save_login_score {
	char login[MAX_NAME_LENGTH];
	int score;
};

void save_init_connection();

int save_get_day_score(const char * login, const char * type);
int save_get_score(const char * login, const char * type);

void save_incr_score(const char * login, int to_add, const char * type);

struct save_login_score save_get_max_day_score(const char * type);
struct save_login_score save_get_max_score(const char * type);

#ifdef __cplusplus
}
#endif

#endif
